'use strict';

/*!
 * @techmely/utils
 * Copyright(c) 2021-2024 Techmely <techmely.creation@gmail.com>
 * MIT Licensed
 */


// src/isEdgeBrowser.ts
function isEdgeBrowser() {
  return typeof navigator !== "undefined" && navigator.userAgent.indexOf("Edg") > -1;
}

// src/isOpera.ts
function isOpera() {
  return typeof window !== "undefined" && typeof window.opr !== "undefined";
}

// src/isChrome.ts
function isChrome() {
  if (typeof window === "undefined")
    return false;
  const isChromium = window.chrome;
  const vendor = window.navigator.vendor;
  return isChromium !== null && typeof isChromium !== "undefined" && vendor === "Google Inc." && isOpera() === false && isEdgeBrowser() === false;
}

exports.isChrome = isChrome;
